THeapStat (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class THeapStat

- java.lang.Object
- - com.sleepycat.thrift.THeapStat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<THeapStat>, org.apache.thrift.TBase<THeapStat,THeapStat._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class THeapStat
      extends java.lang.Object
      implements org.apache.thrift.TBase<THeapStat,THeapStat._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<THeapStat>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `THeapStat._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `heapMagic`
    `int` | `heapMetaFlags`
    `int` | `heapNumBlobs`
    `int` | `heapNumRecs`
    `int` | `heapNumRegions`
    `int` | `heapPageCount`
    `int` | `heapPageSize`
    `int` | `heapRegionSize`
    `int` | `heapVersion`
    `static java.util.Map<THeapStat._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `THeapStat()`
    `THeapStat(int heapMagic, int heapMetaFlags, int heapNumBlobs, int heapNumRecs, int heapNumRegions, int heapPageCount, int heapPageSize, int heapRegionSize, int heapVersion)`
    `THeapStat(THeapStat other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(THeapStat other)`
    `THeapStat` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(THeapStat that)`
    `THeapStat._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(THeapStat._Fields field)`
    `int` | `getHeapMagic()`
    `int` | `getHeapMetaFlags()`
    `int` | `getHeapNumBlobs()`
    `int` | `getHeapNumRecs()`
    `int` | `getHeapNumRegions()`
    `int` | `getHeapPageCount()`
    `int` | `getHeapPageSize()`
    `int` | `getHeapRegionSize()`
    `int` | `getHeapVersion()`
    `int` | `hashCode()`
    `boolean` | `isSet(THeapStat._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHeapMagic()` Returns true if field heapMagic is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHeapMetaFlags()` Returns true if field heapMetaFlags is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHeapNumBlobs()` Returns true if field heapNumBlobs is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHeapNumRecs()` Returns true if field heapNumRecs is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHeapNumRegions()` Returns true if field heapNumRegions is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHeapPageCount()` Returns true if field heapPageCount is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHeapPageSize()` Returns true if field heapPageSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHeapRegionSize()` Returns true if field heapRegionSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHeapVersion()` Returns true if field heapVersion is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(THeapStat._Fields field, java.lang.Object value)`
    `THeapStat` | `setHeapMagic(int heapMagic)`
    `void` | `setHeapMagicIsSet(boolean value)`
    `THeapStat` | `setHeapMetaFlags(int heapMetaFlags)`
    `void` | `setHeapMetaFlagsIsSet(boolean value)`
    `THeapStat` | `setHeapNumBlobs(int heapNumBlobs)`
    `void` | `setHeapNumBlobsIsSet(boolean value)`
    `THeapStat` | `setHeapNumRecs(int heapNumRecs)`
    `void` | `setHeapNumRecsIsSet(boolean value)`
    `THeapStat` | `setHeapNumRegions(int heapNumRegions)`
    `void` | `setHeapNumRegionsIsSet(boolean value)`
    `THeapStat` | `setHeapPageCount(int heapPageCount)`
    `void` | `setHeapPageCountIsSet(boolean value)`
    `THeapStat` | `setHeapPageSize(int heapPageSize)`
    `void` | `setHeapPageSizeIsSet(boolean value)`
    `THeapStat` | `setHeapRegionSize(int heapRegionSize)`
    `void` | `setHeapRegionSizeIsSet(boolean value)`
    `THeapStat` | `setHeapVersion(int heapVersion)`
    `void` | `setHeapVersionIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetHeapMagic()`
    `void` | `unsetHeapMetaFlags()`
    `void` | `unsetHeapNumBlobs()`
    `void` | `unsetHeapNumRecs()`
    `void` | `unsetHeapNumRegions()`
    `void` | `unsetHeapPageCount()`
    `void` | `unsetHeapPageSize()`
    `void` | `unsetHeapRegionSize()`
    `void` | `unsetHeapVersion()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### heapMagic

          public int heapMagic

    - #### heapMetaFlags

          public int heapMetaFlags

    - #### heapNumBlobs

          public int heapNumBlobs

    - #### heapNumRecs

          public int heapNumRecs

    - #### heapNumRegions

          public int heapNumRegions

    - #### heapPageCount

          public int heapPageCount

    - #### heapPageSize

          public int heapPageSize

    - #### heapRegionSize

          public int heapRegionSize

    - #### heapVersion

          public int heapVersion

    - #### metaDataMap

          public static final java.util.Map<THeapStat._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### THeapStat

          public THeapStat()

    - #### THeapStat

          public THeapStat(int heapMagic,
                           int heapMetaFlags,
                           int heapNumBlobs,
                           int heapNumRecs,
                           int heapNumRegions,
                           int heapPageCount,
                           int heapPageSize,
                           int heapRegionSize,
                           int heapVersion)

    - #### THeapStat

          public THeapStat(THeapStat other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public THeapStat deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<THeapStat,THeapStat._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<THeapStat,THeapStat._Fields>`

    - #### getHeapMagic

          public int getHeapMagic()

    - #### setHeapMagic

          public THeapStat setHeapMagic(int heapMagic)

    - #### unsetHeapMagic

          public void unsetHeapMagic()

    - #### isSetHeapMagic

          public boolean isSetHeapMagic()

      Returns true if field heapMagic is set (has been assigned a value) and false otherwise

    - #### setHeapMagicIsSet

          public void setHeapMagicIsSet(boolean value)

    - #### getHeapMetaFlags

          public int getHeapMetaFlags()

    - #### setHeapMetaFlags

          public THeapStat setHeapMetaFlags(int heapMetaFlags)

    - #### unsetHeapMetaFlags

          public void unsetHeapMetaFlags()

    - #### isSetHeapMetaFlags

          public boolean isSetHeapMetaFlags()

      Returns true if field heapMetaFlags is set (has been assigned a value) and false otherwise

    - #### setHeapMetaFlagsIsSet

          public void setHeapMetaFlagsIsSet(boolean value)

    - #### getHeapNumBlobs

          public int getHeapNumBlobs()

    - #### setHeapNumBlobs

          public THeapStat setHeapNumBlobs(int heapNumBlobs)

    - #### unsetHeapNumBlobs

          public void unsetHeapNumBlobs()

    - #### isSetHeapNumBlobs

          public boolean isSetHeapNumBlobs()

      Returns true if field heapNumBlobs is set (has been assigned a value) and false otherwise

    - #### setHeapNumBlobsIsSet

          public void setHeapNumBlobsIsSet(boolean value)

    - #### getHeapNumRecs

          public int getHeapNumRecs()

    - #### setHeapNumRecs

          public THeapStat setHeapNumRecs(int heapNumRecs)

    - #### unsetHeapNumRecs

          public void unsetHeapNumRecs()

    - #### isSetHeapNumRecs

          public boolean isSetHeapNumRecs()

      Returns true if field heapNumRecs is set (has been assigned a value) and false otherwise

    - #### setHeapNumRecsIsSet

          public void setHeapNumRecsIsSet(boolean value)

    - #### getHeapNumRegions

          public int getHeapNumRegions()

    - #### setHeapNumRegions

          public THeapStat setHeapNumRegions(int heapNumRegions)

    - #### unsetHeapNumRegions

          public void unsetHeapNumRegions()

    - #### isSetHeapNumRegions

          public boolean isSetHeapNumRegions()

      Returns true if field heapNumRegions is set (has been assigned a value) and false otherwise

    - #### setHeapNumRegionsIsSet

          public void setHeapNumRegionsIsSet(boolean value)

    - #### getHeapPageCount

          public int getHeapPageCount()

    - #### setHeapPageCount

          public THeapStat setHeapPageCount(int heapPageCount)

    - #### unsetHeapPageCount

          public void unsetHeapPageCount()

    - #### isSetHeapPageCount

          public boolean isSetHeapPageCount()

      Returns true if field heapPageCount is set (has been assigned a value) and false otherwise

    - #### setHeapPageCountIsSet

          public void setHeapPageCountIsSet(boolean value)

    - #### getHeapPageSize

          public int getHeapPageSize()

    - #### setHeapPageSize

          public THeapStat setHeapPageSize(int heapPageSize)

    - #### unsetHeapPageSize

          public void unsetHeapPageSize()

    - #### isSetHeapPageSize

          public boolean isSetHeapPageSize()

      Returns true if field heapPageSize is set (has been assigned a value) and false otherwise

    - #### setHeapPageSizeIsSet

          public void setHeapPageSizeIsSet(boolean value)

    - #### getHeapRegionSize

          public int getHeapRegionSize()

    - #### setHeapRegionSize

          public THeapStat setHeapRegionSize(int heapRegionSize)

    - #### unsetHeapRegionSize

          public void unsetHeapRegionSize()

    - #### isSetHeapRegionSize

          public boolean isSetHeapRegionSize()

      Returns true if field heapRegionSize is set (has been assigned a value) and false otherwise

    - #### setHeapRegionSizeIsSet

          public void setHeapRegionSizeIsSet(boolean value)

    - #### getHeapVersion

          public int getHeapVersion()

    - #### setHeapVersion

          public THeapStat setHeapVersion(int heapVersion)

    - #### unsetHeapVersion

          public void unsetHeapVersion()

    - #### isSetHeapVersion

          public boolean isSetHeapVersion()

      Returns true if field heapVersion is set (has been assigned a value) and false otherwise

    - #### setHeapVersionIsSet

          public void setHeapVersionIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(THeapStat._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<THeapStat,THeapStat._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(THeapStat._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<THeapStat,THeapStat._Fields>`

    - #### isSet

          public boolean isSet(THeapStat._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<THeapStat,THeapStat._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(THeapStat that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(THeapStat other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<THeapStat>`

    - #### fieldForId

          public THeapStat._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<THeapStat,THeapStat._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.